Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Emerge of apache
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
chi86
Apprentice
Apprentice


Joined: 30 Jul 2013
Posts: 164
Location: Austria

PostPosted: Fri Jun 12, 2015 7:35 am    Post subject: Emerge of apache Reply with quote

Hi,
I have a problem with emerging apache and I can't find a way to figure it out on my own.

When I emerge apache with
Code:
APACHE2_MPMS="worker"
I get the following output:

Code:
Calculating dependencies... done!
[ebuild   R    ] www-servers/apache-2.2.29  USE="threads*" APACHE2_MPMS="worker* -prefork*"
[ebuild   R    ] app-eselect/eselect-php-0.7.1-r4  USE="apache2*"
[ebuild   R    ] dev-vcs/subversion-1.8.13-r1  USE="apache2*"
[ebuild  N     ] dev-lang/php-5.6.9  USE="apache2 berkdb bzip2 cli crypt ctype exif fileinfo filter gd gdbm hash iconv ipv6 json ldap mysql nls opcache phar posix readline session simplexml spell ssl systemd threads tokenizer truetype unicode xml zlib -bcmath -calendar -cdb -cgi -cjk -curl -debug -embed -enchant (-firebird) -flatfile -fpm (-frontbase) -ftp -gmp -imap -inifile -intl -iodbc -kerberos -ldap-sasl -libedit -libmysqlclient -mhash -mssql -mysqli -oci8-instant-client -odbc -pcntl -pdo -postgres -qdbm -recode (-selinux) -sharedmem -snmp -soap -sockets -sqlite (-sybase-ct) -sysvipc -tidy -vpx -wddx -xmlreader -xmlrpc -xmlwriter -xpm -xslt -zip"

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

www-servers/apache:2

  (www-servers/apache-2.2.29:2/2::gentoo, installed) pulled in by
    >=www-servers/apache-2.2[apache2_modules_dav,apache2_modules_dav_fs,apache2_modules_authn_file,apache2_modules_auth_digest,apache2_modules_authz_groupfile,apache2_mpms_prefork] required by (gnome-extra/gnome-user-share-3.14.2:0/0::gentoo, installed)
                                                                                                                                                               ^^^^^^^^^^^^^^^^^^^^                                                                                                             

  (www-servers/apache-2.2.29:2/2::gentoo, ebuild scheduled for merge) pulled in by
    <www-servers/apache-2.4[threads=] required by (dev-lang/php-5.6.9:5.6/5.6::gentoo, ebuild scheduled for merge)
                            ^^^^^^^^                                                                                                                 


It might be possible to solve this slot collision
by applying all of the following changes:
   - www-servers/apache-2.2.29 (Change USE: +apache2_mpms_prefork)


So I change to
Code:
APACHE2_MPMS="prefork"
and i get this:

Code:
Calculating dependencies... done!
>>> Verifying ebuild manifests
>>> Emerging (1 of 4) www-servers/apache-2.2.29::gentoo
>>> Failed to emerge www-servers/apache-2.2.29, Log file:
>>>  '/var/tmp/portage/www-servers/apache-2.2.29/temp/build.log'
>>> Jobs: 0 of 4 complete, 1 failed                 Load avg: 0.86, 0.79, 0.63
 * Package:    www-servers/apache-2.2.29
 * Repository: gentoo
 * Maintainer: polynomial-c@gentoo.org
 * USE:        abi_x86_64 amd64 apache2_modules_actions apache2_modules_alias apache2_modules_auth_basic apache2_modules_auth_digest apache2_modules_authn_alias apache2_modules_authn_anon apache2_modules_authn_dbm apache2_modules_authn_default apache2_modules_authn_file apache2_modules_authz_dbm apache2_modules_authz_default apache2_modules_authz_groupfile apache2_modules_authz_host apache2_modules_authz_owner apache2_modules_authz_user apache2_modules_autoindex apache2_modules_cache apache2_modules_cgi apache2_modules_cgid apache2_modules_dav apache2_modules_dav_fs apache2_modules_dav_lock apache2_modules_deflate apache2_modules_dir apache2_modules_disk_cache apache2_modules_env apache2_modules_expires apache2_modules_ext_filter apache2_modules_file_cache apache2_modules_filter apache2_modules_headers apache2_modules_include apache2_modules_info apache2_modules_log_config apache2_modules_logio apache2_modules_mem_cache apache2_modules_mime apache2_modules_mime_magic apache2_modules_negotiation apache2_modules_rewrite apache2_modules_setenvif apache2_modules_speling apache2_modules_status apache2_modules_unique_id apache2_modules_userdir apache2_modules_usertrack apache2_modules_vhost_alias apache2_mpms_prefork elibc_glibc kernel_linux ldap ssl threads userland_GNU
 * FEATURES:   preserve-libs sandbox userpriv usersandbox
 *
 * Selected MPM: prefork
 *
 * You have selected a non-threaded MPM but USE=threads is enabled
 * ERROR: www-servers/apache-2.2.29::gentoo failed (setup phase):
 *   invalid use flag combination
 *
 * Call stack:
 *         ebuild.sh, line  93:  Called pkg_setup
 *         ebuild.sh, line 321:  Called apache-2_pkg_setup
 *   apache-2.eclass, line 392:  Called setup_mpm
 *   apache-2.eclass, line 167:  Called die
 * The specific snippet of code:
 *         die "invalid use flag combination"
 *
 * If you need support, post the output of `emerge --info '=www-servers/apache-2.2.29::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=www-servers/apache-2.2.29::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/www-servers/apache-2.2.29/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/www-servers/apache-2.2.29/temp/die.env'.
 * Working directory: '/usr/lib64/python3.3/site-packages'
 * S: '/var/tmp/portage/www-servers/apache-2.2.29/work/httpd-2.2.29'

 * Messages for package www-servers/apache-2.2.29:

 *
 * Selected MPM: prefork
 *
 * You have selected a non-threaded MPM but USE=threads is enabled
 * ERROR: www-servers/apache-2.2.29::gentoo failed (setup phase):
 *   invalid use flag combination
 *
 * Call stack:
 *         ebuild.sh, line  93:  Called pkg_setup
 *         ebuild.sh, line 321:  Called apache-2_pkg_setup
 *   apache-2.eclass, line 392:  Called setup_mpm
 *   apache-2.eclass, line 167:  Called die
 * The specific snippet of code:
 *         die "invalid use flag combination"
 *
 * If you need support, post the output of `emerge --info '=www-servers/apache-2.2.29::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=www-servers/apache-2.2.29::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/www-servers/apache-2.2.29/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/www-servers/apache-2.2.29/temp/die.env'.
 * Working directory: '/usr/lib64/python3.3/site-packages'


Should I disable "threads" in my make.conf? I work with MPI and other Multicore programs therefore I thought it is a good idea to keep that!

Thanks in advance!
Back to top
View user's profile Send private message
eccerr0r
Watchman
Watchman


Joined: 01 Jul 2004
Posts: 7050
Location: almost Mile High in the USA

PostPosted: Fri Jun 12, 2015 12:36 pm    Post subject: Reply with quote

Somehow you built php with -threads ... can you try removing prefork and recompiling php with USE=threads and see if it will resolve itself?
_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed watching?
Back to top
View user's profile Send private message
chi86
Apprentice
Apprentice


Joined: 30 Jul 2013
Posts: 164
Location: Austria

PostPosted: Mon Jun 15, 2015 5:41 am    Post subject: Reply with quote

eccerr0r wrote:
Somehow you built php with -threads ... can you try removing prefork and recompiling php with USE=threads and see if it will resolve itself?


I tried that but I got this message:

Code:

chi@portage # emerge php
Calculating dependencies... done!
[ebuild   R    ] www-servers/apache-2.2.29  USE="threads*" APACHE2_MPMS="-prefork*"
[ebuild   R    ] app-eselect/eselect-php-0.7.1-r4  USE="apache2*"
[ebuild  N     ] dev-lang/php-5.6.9  USE="apache2 berkdb bzip2 cli crypt ctype exif fileinfo filter gd gdbm hash iconv ipv6 json ldap mysql nls opcache phar posix readline session simplexml spell ssl systemd threads tokenizer truetype unicode xml zlib -bcmath -calendar -cdb -cgi -cjk -curl -debug -embed -enchant (-firebird) -flatfile -fpm (-frontbase) -ftp -gmp -imap -inifile -intl -iodbc -kerberos -ldap-sasl -libedit -libmysqlclient -mhash -mssql -mysqli -oci8-instant-client -odbc -pcntl -pdo -postgres -qdbm -recode (-selinux) -sharedmem -snmp -soap -sockets -sqlite (-sybase-ct) -sysvipc -tidy -vpx -wddx -xmlreader -xmlrpc -xmlwriter -xpm -xslt -zip"

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

www-servers/apache:2

  (www-servers/apache-2.2.29:2/2::gentoo, installed) pulled in by
    >=www-servers/apache-2.2[apache2_modules_dav,apache2_modules_dav_fs,apache2_modules_authn_file,apache2_modules_auth_digest,apache2_modules_authz_groupfile,apache2_mpms_prefork] required by (gnome-extra/gnome-user-share-3.14.2:0/0::gentoo, installed)
                                                                                                                                                               ^^^^^^^^^^^^^^^^^^^^                                                                                                             

  (www-servers/apache-2.2.29:2/2::gentoo, ebuild scheduled for merge) pulled in by
    <www-servers/apache-2.4[threads=] required by (dev-lang/php-5.6.9:5.6/5.6::gentoo, ebuild scheduled for merge)
                            ^^^^^^^^                                                                                                                 


It might be possible to solve this slot collision
by applying all of the following changes:
   - www-servers/apache-2.2.29 (Change USE: +apache2_mpms_prefork)


I cant get rid of this prefork ...
Back to top
View user's profile Send private message
eccerr0r
Watchman
Watchman


Joined: 01 Jul 2004
Posts: 7050
Location: almost Mile High in the USA

PostPosted: Mon Jun 15, 2015 5:42 pm    Post subject: Reply with quote

oops. Portage is pulling php in for the first time, didn't see that.

Ok something is really screwey here. Might be something to file on bugs.gentoo.org.

It looks like apache2 does not have a USE=threads flag anymore, so it's not possible to compile it with USE=threads. Php wants threads set to be equal...which is now impossible. Unless you set USE=-threads for at least php. Try that.

I think you have to have prefork for gnome3 for whatever reason (the sharing module I've never used...) Probably have to stick with that if you want to keep Gnome.

Weird, portage bug it looks - looks like a php ebuild bug. Seems like MPMS_THREAD=worker is what's needed now but I'm no apache expert...
Back to top
View user's profile Send private message
chi86
Apprentice
Apprentice


Joined: 30 Jul 2013
Posts: 164
Location: Austria

PostPosted: Tue Jun 16, 2015 5:34 am    Post subject: Reply with quote

eccerr0r wrote:

It looks like apache2 does not have a USE=threads flag anymore, so it's not possible to compile it with USE=threads. Php wants threads set to be equal...which is now impossible. Unless you set USE=-threads for at least php. Try that.


I tried that and I had to add the -threads to apache aswell, and set the APACHE2_MPMS="prefork" (make.conf) in order to make it work.


If it workes with USE=threads I will add the "SOLVED" to this entry.

Thanks!!!
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 6193

PostPosted: Tue Jun 16, 2015 9:33 am    Post subject: Reply with quote

Your problem here is a not really correct solution to this bug.
For the time being, the proper fix requires putting gnome-extra/gnome-user-share into overlay, dropping the bogus apache2_mpms_prefork req and editing the relevant config file.

There's probably a way to have it done in the ebuild.
Back to top
View user's profile Send private message
thagenesis
n00b
n00b


Joined: 18 May 2003
Posts: 36
Location: Germany

PostPosted: Fri Aug 19, 2016 9:26 pm    Post subject: Reply with quote

sorry nevermind. I had too many tabs open and posted this to the wrong thread
_________________
Adopt an unanswered post today
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum